<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Advanced EC2 Configuration with Terraform</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Or how to fine-tune your EC2 Instances on AWS with Terraform and Cloud Init.">

    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900" rel="stylesheet">

    <link rel="stylesheet" href="css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="css/animate.css">

    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/owl.theme.default.min.css">
    <link rel="stylesheet" href="css/magnific-popup.css">

    <link rel="stylesheet" href="css/aos.css">

    <link rel="stylesheet" href="css/ionicons.min.css">

    <link rel="stylesheet" href="css/flaticon.css">
    <link rel="stylesheet" href="css/icomoon.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/style-overrides.css">
    <link rel="stylesheet" href="css/style-overrides-articles.css">
    <link rel="shortcut icon" href="images/favicon.png">
  </head>
  <body data-spy="scroll" data-target=".site-navbar-target" data-offset="300">
    <nav class="navbar navbar-expand-lg navbar-dark ftco_navbar ftco-navbar-light site-navbar-target" id="ftco-navbar">
	    <div class="container">
	      <a class="navbar-brand" href="index.html"><span>Ș</span>tefan's Posts</a>
	      <button class="navbar-toggler js-fh5co-nav-toggle fh5co-nav-toggle" type="button" data-toggle="collapse" data-target="#ftco-nav" aria-controls="ftco-nav" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="oi oi-menu"></span> Menu
	      </button>

	      <div class="collapse navbar-collapse" id="ftco-nav">
	        <ul class="navbar-nav nav ml-auto">
            <li class="nav-item"><a href="index.html#home-section" class="nav-link"><span>Home</span></a></li>
	          <li class="nav-item"><a href="index.html#about-section" class="nav-link"><span>About</span></a></li>
            <li class="nav-item"><a href="index.html#projects-section" class="nav-link"><span>Projects</span></a></li>
	          <li class="nav-item"><a href="index.html#resume-section" class="nav-link"><span>Resume</span></a></li>
	          <li class="nav-item"><a href="index.html#services-section" class="nav-link"><span>Services</span></a></li>
            <li class="nav-item"><a href="index.html#testimonials-section" class="nav-link"><span>Testimonails</span></a></li>
	          <li class="nav-item"><a href="index.html#contact-section" class="nav-link"><span>Contact</span></a></li>
	        </ul>
	      </div>
	    </div>
	  </nav>

	  <div class="hero-wrap js-fullheight">
      <div class="overlay"></div>
      <div class="container">
        <div class="row no-gutters slider-text js-fullheight justify-content-center align-items-center">
          <div class="col-lg-10 ftco-animate d-flex align-items-center">
          	<div class="text text-center">
          		<h1 class="mb-3 bread">Advanced EC2 Configuration with Terraform</h1>
	            <p class="breadcrumbs align-center"><span class="mr-2"><a href="index.html">Home <i class="ion-ios-arrow-forward"></i></a></span> <span>Advanced EC2 Configuration with Terraform <i class="ion-ios-arrow-forward"></i></span></p>
            </div>
          </div>
        </div>
      </div>
    </div>

		<section class="ftco-section">
      <div class="container">

          <h2 class="mb-3">Advanced EC2 Configuration with Terraform</h2>
          <p>Or how to fine-tune your EC2 Instances on AWS with Terraform and Cloud Init.</p>

          <h5 class="mb-3 mt-5">Introduction</h5>
          <p>AWS EC2, short for Amazon Web Services Elastic Compute Cloud, is probably the most used service provided by Amazon. Therefore, I believe a look into how EC2 Instances can be configured via an Infrastructure as Code (IaC) tool will provide you with insight into how to both shorten and simplify the infrastructure setup process.</p>

          <h5 class="mb-3 mt-5">Terraform</h5>
          <p>Terraform is an IaC tool developed by HashiCorp used for provisioning, changing and versioning infrastructure. It uses a proprietary high-level syntax language, called HCL, to describe the infrastructure blocks.</p>
          <p>Explaining how Terraform works and how to use it is beyond the purpose of this article. You can find a ton of step-by-step walkthroughs and tutorials in their guides.</p>
          <p>Moving forward, I will assume that you are familiar with the basic concepts of Terraform. I will try to add links to learning resources when I feel it is necessary, but you can always reach out with questions.</p>

          <h5 class="mb-3 mt-5">Default EC2 Setup</h5>
          <p>Provisioning an EC2 Instance with Terraform is pretty straightforward. As prerequisites, you must firstly create an IAM profile, and give it the permissions your use case requires.</p>
          <div class="fadeout">
              <p><a href="https://medium.com/@stefan.georgescu.970/advanced-ec2-configuration-with-terraform-115ac61896d8" class="btn btn-primary py-3 px-3 put-bottom">Continue on Medium</a></p>
          </div>

      </div>
    </section>
        <footer class="ftco-footer ftco-section">
          <div class="container">
            <div class="row mb-5">
              <div class="col-md">
                <div class="ftco-footer-widget mb-4">
                  <h2 class="ftco-heading-2">About</h2>
                  <p>You can also get in touch by messaging me on LinkedIn. Use the link below.</p>
                  <ul class="ftco-footer-social list-unstyled float-md-left float-lft mt-5">
                    <li class="ftco-animate"><a href="https://www.linkedin.com/in/stefan-paul-georgescu"><span class="icon-linkedin"></span></a></li>
                  </ul>
                </div>
              </div>
              <div class="col-md">
                <div class="ftco-footer-widget mb-4 ml-md-4">
                  <h2 class="ftco-heading-2">Links</h2>
                  <ul class="list-unstyled">
                    <li><a href="index.html#home-section"><span class="icon-long-arrow-right mr-2"></span>Home</a></li>
                    <li><a href="index.html#about-section"><span class="icon-long-arrow-right mr-2"></span>About</a></li>
                    <li><a href="index.html#services-section"><span class="icon-long-arrow-right mr-2"></span>Services</a></li>
                    <li><a href="index.html#testimonials-section"><span class="icon-long-arrow-right mr-2"></span>Testimonials</a></li>
                    <li><a href="index.html#contact-section"><span class="icon-long-arrow-right mr-2"></span>Contact</a></li>
                  </ul>
                </div>
              </div>
              <div class="col-md">
                <div class="ftco-footer-widget mb-4">
                	<h2 class="ftco-heading-2">Have a Question?</h2>
                	<div class="block-23 mb-3">
    	              <ul>
                      <li><span class="icon icon-map-marker"></span><span class="text">Bucharest, Romania</span></li>
    	                <li><a href="tel://+40730614499"><span class="icon icon-phone"></span><span class="text">+4 0730 614 499</span></a></li>
    	                <li><a href="mailto:contact@stefangeorgescu.com"><span class="icon icon-envelope"></span><span class="text">contact@stefangeorgescu.com</span></a></li>
    	              </ul>
    	            </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12 text-center">

                <p><!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
      Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved | This template is made with <i class="icon-heart color-danger" aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>
      <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. --></p>
              </div>
            </div>
          </div>
        </footer>


  <!-- loader -->
  <div id="ftco-loader" class="show fullscreen"><svg class="circular" width="48px" height="48px"><circle class="path-bg" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke="#eeeeee"/><circle class="path" cx="24" cy="24" r="22" fill="none" stroke-width="4" stroke-miterlimit="10" stroke="#F96D00"/></svg></div>

  <script src="js/jquery.min.js"></script>
  <script src="js/jquery-migrate-3.0.1.min.js"></script>

  <script src="js/bootstrap.min.js"></script>
  <script src="js/jquery.easing.1.3.js"></script>
  <script src="js/jquery.waypoints.min.js"></script>
  <script src="js/jquery.stellar.min.js"></script>
  <script src="js/owl.carousel.min.js"></script>
  <script src="js/jquery.magnific-popup.min.js"></script>
  <script src="js/aos.js"></script>
  <script src="js/jquery.animateNumber.min.js"></script>
  <script src="js/scrollax.min.js"></script>

  <script src="js/main.js"></script>

  <!-- The core Firebase JS SDK is always required and must be listed first -->
  <script src="/__/firebase/7.13.2/firebase-app.js"></script>

  <!-- TODO: Add SDKs for Firebase products that you want to use
  https://firebase.google.com/docs/web/setup#available-libraries -->
  <script src="/__/firebase/7.13.2/firebase-analytics.js"></script>
  <script src="/__/firebase/7.13.2/firebase-auth.js"></script>
  <script src="/__/firebase/7.13.2/firebase-functions.js"></script>

  <script src="js/firebase.js"></script>
  <script src="js/auth.js"></script>

  </body>
</html>
